Bug 524824 - setroubleshoot: SELinux is preventing /usr/sbin/abrtd "fsetid" access.
Summary: setroubleshoot: SELinux is preventing /usr/sbin/abrtd "fsetid" access.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 12
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nikola Pajkovsky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:fd6a6e6c2df...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-22 11:15 UTC by Matěj Cepl
Modified: 2018-04-11 09:00 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-07 11:52:04 UTC


Attachments (Terms of Use)

Description Matěj Cepl 2009-09-22 11:15:30 UTC
The following was filed automatically by setroubleshoot:

Souhrn:

SELinux is preventing /usr/sbin/abrtd "fsetid" access.

Podrobný popis:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by abrtd. It is not expected that this access is
required by abrtd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Povolení přístupu:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Další informace:

Kontext zdroje                system_u:system_r:abrt_t:s0
Kontext cíle                 system_u:system_r:abrt_t:s0
Objekty cíle                 None [ capability ]
Zdroj                         abrtd
Cesta zdroje                  /usr/sbin/abrtd
Port                          <Neznámé>
Počítač                    (removed)
RPM balíčky zdroje          abrt-0.0.8.5-1.fc12
RPM balíčky cíle           
RPM politiky                  selinux-policy-3.6.32-6.fc12
Selinux povolen               True
Typ politiky                  targeted
MLS povoleno                  True
Vynucovací režim            Permissive
Název zásuvného modulu     catchall
Název počítače            (removed)
Platforma                     Linux (removed) 2.6.31-33.fc12.x86_64 #1 SMP Thu
                              Sep 17 15:40:43 EDT 2009 x86_64 x86_64
Počet upozornění           3
Poprvé viděno               Po 21. září 2009, 10:59:26 CEST
Naposledy viděno             Po 21. září 2009, 18:14:20 CEST
Místní ID                   497eff3a-1ee1-461c-a1b1-bf955e7831f0
Čísla řádků              

Původní zprávy auditu      

node=(removed) type=AVC msg=audit(1253549660.100:44): avc:  denied  { fsetid } for  pid=1876 comm="abrtd" capability=4 scontext=system_u:system_r:abrt_t:s0 tcontext=system_u:system_r:abrt_t:s0 tclass=capability

node=(removed) type=SYSCALL msg=audit(1253549660.100:44): arch=c000003e syscall=90 success=yes exit=0 a0=c34a68 a1=1c0 a2=0 a3=1 items=0 ppid=1 pid=1876 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="abrtd" exe="/usr/sbin/abrtd" subj=system_u:system_r:abrt_t:s0 key=(null)


audit2allow suggests:

#============= abrt_t ==============
allow abrt_t self:capability fsetid;

Comment 1 Daniel Walsh 2009-09-22 13:21:36 UTC
Does abrt really need this priv, or is this related to it trying to write to the homedir?

Comment 2 Bug Zapper 2009-11-16 12:45:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Nikola Pajkovsky 2010-05-07 11:52:04 UTC
Too old. I think this version of abrt try to write your own a config into home dir.


Note You need to log in before you can comment on or make changes to this bug.